package LogViewer4MTOS::LogViewer;
use strict;

@LogViewer4MTOS::LogViewer::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'timestamp' => 'datetime',
        'ts_year' => 'integer',
        'ts_month' => 'integer',
        'ts_day' => 'integer',
        'remote_addr' => 'string(255)',
        'blog_id' => 'integer',
        'object_type' => 'string(25)',
        'object_id' => 'integer',
        'entry_id' => 'integer',
        'url' => 'string(255)',
        'title' => 'text',
        'search_str' => 'text',
        'referrer' => 'text',
        'referrersite' => 'string(255)',
        'referrer_self' => 'boolean',
        'user_name' => 'string(255)',
        'user_id' => 'integer',
        'import_time' => 'datetime',
        'session_key' => 'string(255)',
        'userinfo' => 'string(255)',
        'userinfo_id' => 'integer',
    },
    indexes => {
        'timestamp' => 1,
        'ts_year' => 1,
        'ts_month' => 1,
        'ts_day' => 1,
        'blog_id' => 1,
        'object_type' => 1,
        'object_id' => 1,
        'entry_id' => 1,
        'url' => 1,
        'referrer_self' => 1,
        'user_id' => 1,
        'userinfo_id' => 1,
    },
    datasource => 'logviewer',
    primary_key => 'id',
});

1;